module.exports = {
	// 配置路径别名
	configureWebpack: {
		devServer: {
			// 调试时允许内网穿透，让外网的人访问到本地调试的H5页面
			disableHostCheck: true,
			"proxy": {
				"/api": {
					// "target": "https://mentor.site.ximengnaikang.com", // 需要跨域的域名
					"target": "http://alumni.site.ximengnaikang.com/api", // 需要跨域的域名

					"changeOrigin": true,
					"secure": false,
					"pathRewrite": {
						"^/api": "" //匹配请求路径里面有 /api 替换成 https://www.xxx.cn
					}
				}
			}

		}
	}
	// productionSourceMap: false,
}
